#include <bits/stdc++.h>
using namespace std;
int n,m,mat[1505][1505];
int  main(){
    cin>>n>>m;
    int res=1e9;
    for (int i=1;i<=n;i++){
        for (int j=1;j<=m;j++){
            cin>>mat[i][j];
            res=min(res,mat[i][j]);
       }
    }
    cout<<res<<endl;
    return 0;
}